> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetsquad.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve authenticated user's organization and workspace information

> Returns the ID and name of the authenticated user's organization and workspace. This is only callable by an API key which is workspace scoped.



## OpenAPI

````yaml /openapi/squad-api.json get /v1/whoami
openapi: 3.1.0
info:
  title: Squad API
  version: 4.8.0
  description: API for managing Squad resources
  contact:
    name: Squad Support
    url: https://www.meetsquad.ai/support
    email: help@meetsquad.ai
servers:
  - url: https://api.meetsquad.ai
    description: Production server
  - url: https://uat.api.meetsquad.ai
    description: Staging server
  - url: https://dev.api.meetsquad.ai
    description: Development server
security: []
tags:
  - name: Organisations
  - name: Workspaces
  - name: Goals
  - name: Opportunities
  - name: Solutions
  - name: Feedback
  - name: Submit Feedback
  - name: Insights
  - name: Knowledge
  - name: Metrics
  - name: Topics
  - name: Integrations
  - name: AI & Search
  - name: Onboarding
paths:
  /v1/whoami:
    get:
      tags:
        - Organisations
      summary: Retrieve authenticated user's organization and workspace information
      description: >-
        Returns the ID and name of the authenticated user's organization and
        workspace. This is only callable by an API key which is workspace
        scoped.
      operationId: whoAmI
      responses:
        '200':
          description: Successfully retrieved user information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhoAmIResponse'
        '401':
          description: Unauthorized - Invalid or missing API key
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  schemas:
    WhoAmIResponse:
      description: User organization and workspace information
      type: object
      properties:
        data:
          type: object
          properties:
            organisation:
              type: object
              properties:
                id:
                  description: Organization ID
                  example: a5f3c6e1-9d20-4f7b-8e31-d09a2b63c184
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                name:
                  description: Organization name
                  example: Acme Corporation
                  type: string
              required:
                - id
                - name
              additionalProperties: false
            workspace:
              type: object
              properties:
                id:
                  description: Workspace ID
                  example: c0e195d9-b918-4a3a-bd8b-f730361d044f
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                name:
                  description: Workspace name
                  example: Product Development
                  type: string
              required:
                - id
                - name
              additionalProperties: false
          required:
            - organisation
            - workspace
          additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key authentication for public API endpoints. This key is scoped by
        workspace so a unique key is required per workspace within an
        organisation.

````